CalcAppClient(1)

NAME
calcappclient - RSerPool Client (PU) for the CalcApp service

SYNOPSIS
calcappclient [-poolhandle=pool_handle] [-jobinterval=seconds] [-jobsize=calculations] [-keepalivetransmissioninterval=milliseconds] [-keepalivetimeoutinterval=milliseconds] [-object=name] [-runtime=seconds] [-scalar=scalar_file] [-vector=vector_file] [-cspinterval=milliseconds] [-cspserver=address:port] [-logappend=filename] [-logcolor=on|off] [-logfile=filename] [-loglevel=0-9]

DESCRIPTION
calcappclient is a Reliable Server Pooling (RSerPool) pool user (PU) for the CalcApp performance testing service. For a detailed description of the underlying protocol, see http://duepublico.uni-duisburg-essen.de/servlets/DerivateServlet/Derivate-16326/Dre2006-final.pdf .

ARGUMENTS
The following options are available:

-poolhandle=pool_handle
    Sets the PH to a non-default value; otherwise, the default setting is "CalcAppPool".

Service Parameters:

    -jobinterval=seconds
        Sets the job interval in seconds. Floating-point values (e.g. 30.125) are possible.

    -jobsize=seconds
        Sets the job size in seconds. Floating-point values (e.g. 8.75) are possible.

    -keepalivetransmissioninterval=milliseconds
        Sets the session keep-alive interval in milliseconds.

    -keepalivetimeoutinterval=milliseconds
        Sets the session keep-alive timeout in milliseconds.

    -object=name
        Sets the object name for scalar hierarchy.

    -runtime=seconds
        After the configured number of seconds, the service is shut down. Floating-point values (e.g. 30.125) are possible.

    -scalar=scalar_file
        Sets the name of vector scalar file.

    -vector=vector_file
        Sets the name of vector output file.

ASAP Protocol Parameters:

    -registrar=address:port
        Adds a static PR entry into the Registrar Table. It is possible to add multiple entries.

    -registrarannouncetimeout=milliseconds
        Sets the timeout for ASAP announces via multicast.

    -registrarconnecttimeout=milliseconds
        Sets the timeout for ASAP connection establishment.

    -registrarconnectmaxtrials=trials
        Sets the maximum number of ASAP connection establishment trials.

    -registrarrequesttimeout=milliseconds
        Sets the timeout for ASAP requests.

    -registrarresponsetimeout=milliseconds
        Sets the timeout for waiting to receive ASAP responses.

    -registrarrequestmaxtrials=trials
        Sets the maximum number of ASAP request trials.

Component Status Protocol (CSP) Parameters:

    -cspinterval=milliseconds
        Sets the interval for the CSP status updates in milliseconds. By default, the content of the environment variable CSP_INTERVAL is used. If not defined, no CSP status reports will be sent.

    -cspserver=address:port
        Sets the address of a CSP monitor server. By default, the content of the environment variable CSP_SERVER is used. If not defined, no CSP status reports will be sent.

Logging Parameters:

    -logappend=filename
        Write logging output to a file (default is stdout); output will be appended to given file.

    -logcolor=on|off
        Turns ANSI colorization of the logging output on or off.

    -logfile=filename
        Write logging output to a file (default is stdout); given file will be overwritten.

    -loglevel=0-9
        Sets the logging verbosity from 0 (none) to 9 (very verbose). It is recommended to use at least a value of 2 to see possibly important error messages and warnings.

ENVIRONMENT
calcappclient uses the environment variables CSP_SERVER and CSP_INTERVAL to define a CSP server to send reports to in the specified interval.

DIAGNOSTICS
If loglevel>0, log messages will be printed to stdout or into a specified log file.

SEE ALSO
For a detailed introduction to RSerPool, see:
http://duepublico.uni-duisburg-essen.de/servlets/DerivateServlet/Derivate-16326/Dre2006-final.pdf

Thomas Dreibholz's RSerPool Page:
http://tdrwww.iem.uni-due.de/dreibholz/rserpool/